Bug 1548167 - sync task does not ever complete if satellite is interrupted during run
Summary: sync task does not ever complete if satellite is interrupted during run
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Pulp
Version: 6.2.10
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact: jcallaha
URL:
Whiteboard:
Depends On: 1468078
Blocks: 1482208
TreeView+ depends on / blocked
 
Reported: 2018-02-22 21:53 UTC by Mike McCune
Modified: 2019-06-13 21:25 UTC (History)
25 users (show)

Fixed In Version: pulp-2.8.7.20-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1468078
Environment:
Last Closed: 2018-05-21 20:16:44 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Pulp Redmine 2734 High CLOSED - CURRENTRELEASE task group never quite finishes if pulp is restarted in the middle of task run 2018-02-23 03:32:36 UTC
Red Hat Product Errata RHBA-2018:1672 None None None 2018-05-21 20:17:13 UTC

Comment 1 pulp-infra@redhat.com 2018-02-23 03:32:37 UTC
The Pulp upstream bug status is at CLOSED - CURRENTRELEASE. Updating the external tracker on this bug.

Comment 2 pulp-infra@redhat.com 2018-02-23 03:32:43 UTC
The Pulp upstream bug priority is at High. Updating the external tracker on this bug.

Comment 3 pulp-infra@redhat.com 2018-02-23 04:02:50 UTC
All upstream Pulp bugs are at MODIFIED+. Moving this bug to POST.

Comment 7 jcallaha 2018-05-21 15:17:10 UTC
Verified in Satellite 6.2.15 Snap 3.

1. Created a custom repository, moving through Sat process to get it into an activation key.
2. Subscribed 1k hosts to the activation key (which also provided katello-agent).
3. Each host then installed katello-agent and reported back to satellite.
4. I then switched the repo url to a larger repo with errata.
5. Sync'd the repo and watched dynflow.
6. pkill celery during Actions::Pulp::Repository::RegenerateApplicability
7. Observed that the Regen task is in suspended state.
8. Restarted pulp_workers and pulp_celerybeat

Result: the task automatically resumed and completed successfully.

Comment 10 errata-xmlrpc 2018-05-21 20:16:44 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:1672


Note You need to log in before you can comment on or make changes to this bug.